services:
  jasper:
    image: get.jasper.ponygolf.com/jasper:latest
    container_name: jasper
    ports:
      - "3001:3001"
    volumes:
      - jasper-data:/app/data
    environment:
      - AUTH_PASSWORD=changeme
      - AUTH_TOKEN_SECRET=generate-a-random-secret-here
      # Uncomment to disable authentication (for demos/testing):
      # - AUTH_DISABLED=true
    restart: unless-stopped

volumes:
  jasper-data:
